Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.TextPageCharInfo Class Reference

## Public Member Functions
| TextPageCharInfo ()
| Constructor.
| TextPageCharInfo (Font font, int flag, float font_size, float origin_x, float origin_y, RectF char_box, RectF char_outbox, Matrix2D matrix)
| Constructor, with parameters. More...
| TextPageCharInfo (TextPageCharInfo char_info)
| Constructor, with another character information object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
RectF | getChar_box ()
| Get the glyph bounding box in page space. More...
RectF | getChar_outbox ()
| Get the typographic(display and printing) bounding box in page space. More...
int | getFlag ()
| Get flags to indicate which properties of textpage character flag are meaningful. More...
Font | getFont ()
| Get a font for character. More...
float | getFont_size ()
| Get font size for character. More...
Matrix2D | getMatrix ()
| Get the matrix of the character. More...
float | getOrigin_x ()
| Get the x-coordinate of the origin position. More...
float | getOrigin_y ()
| Get the y-coordinate of the origin position. More...
void | set (Font font, int flag, float font_size, float origin_x, float origin_y, RectF char_box, RectF char_outbox, Matrix2D matrix)
| Set value. More...
void | setChar_box (RectF value)
| Set the glyph bounding box in page space. More...
void | setChar_outbox (RectF value)
| Set the typographic(display and printing) bounding box in page space. More...
void | setFlag (int value)
| Set flags to indicate which properties of textpage character flag are meaningful. More...
void | setFont (Font value)
| Set a font for character. More...
void | setFont_size (float value)
| Set font size for character. More...
void | setMatrix (Matrix2D value)
| Set the matrix of the character. More...
void | setOrigin_x (float value)
| Set the x-coordinate of the origin position. More...
void | setOrigin_y (float value)
| Set the y-coordinate of the origin position. More...

## Static Public Attributes
static final int | e_ComboWord = 4
| Character flag: ComboWord.
static final int | e_Generated = 1
| Character flag: Generated.
static final int | e_Hyphen = 3
| Character flag: Hyphen.
static final int | e_Normal = 0
| Character flag: Normal.
static final int | e_Unknown = -1
| Character flag: Unknown.
static final int | e_UnUnicode = 2
| Character flag: UnUnicode.

## Detailed Description

This class represents textpage character information.

## Constructor & Destructor Documentation

## ◆ TextPageCharInfo() [1/2]

com.foxit.sdk.pdf.TextPageCharInfo.TextPageCharInfo | ( | Font | font,
|  | int | flag,
|  | float | font_size,
|  | float | origin_x,
|  | float | origin_y,
|  | RectF | char_box,
|  | RectF | char_outbox,
|  | Matrix2D | matrix
| ) |  |

Constructor, with parameters.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from com.foxit.sdk.pdf.TextPageCharInfo.e_Normal and this should be one of these values except com.foxit.sdk.pdf.TextPageCharInfo.e_Unknown .
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

## ◆ TextPageCharInfo() [2/2]

com.foxit.sdk.pdf.TextPageCharInfo.TextPageCharInfo | ( | TextPageCharInfo | char_info | ) |

Constructor, with another character information object.

Parameters

  [in] | char_info | Another character information object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.TextPageCharInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getChar_box()

com.foxit.sdk.pdf.TextPageCharInfo.getChar_box | ( |  | ) |

Get the glyph bounding box in page space.

Returns
  The glyph bounding box in page space.

## ◆ getChar_outbox()

com.foxit.sdk.pdf.TextPageCharInfo.getChar_outbox | ( |  | ) |

Get the typographic(display and printing) bounding box in page space.

Returns
  The typographic(display and printing) bounding box in page space.

## ◆ getFlag()

com.foxit.sdk.pdf.TextPageCharInfo.getFlag | ( |  | ) |

Get flags to indicate which properties of textpage character flag are meaningful.

Please refer to values starting from com.foxit.sdk.pdf.TextPageCharInfo.e_Normal and this should be one of these values.

Returns
  Flags to indicate which properties of textpage character flag are meaningful.

## ◆ getFont()

com.foxit.sdk.pdf.TextPageCharInfo.getFont | ( |  | ) |

Get a font for character.

Returns
  A font for character.

## ◆ getFont_size()

com.foxit.sdk.pdf.TextPageCharInfo.getFont_size | ( |  | ) |

Get font size for character.

This value would a positive value.

Returns
  Font size for character.

## ◆ getMatrix()

com.foxit.sdk.pdf.TextPageCharInfo.getMatrix | ( |  | ) |

Get the matrix of the character.

Returns
  The matrix of the character.

## ◆ getOrigin_x()

com.foxit.sdk.pdf.TextPageCharInfo.getOrigin_x | ( |  | ) |

Get the x-coordinate of the origin position.

Returns
  The x-coordinate of the origin position.

## ◆ getOrigin_y()

com.foxit.sdk.pdf.TextPageCharInfo.getOrigin_y | ( |  | ) |

Get the y-coordinate of the origin position.

Returns
  The y-coordinate of the origin position.

## ◆ set()

void com.foxit.sdk.pdf.TextPageCharInfo.set | ( | Font | font,
|  | int | flag,
|  | float | font_size,
|  | float | origin_x,
|  | float | origin_y,
|  | RectF | char_box,
|  | RectF | char_outbox,
|  | Matrix2D | matrix
| ) |  |

Set value.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from com.foxit.sdk.pdf.TextPageCharInfo.e_Normal and this should be one of these values except com.foxit.sdk.pdf.TextPageCharInfo.e_Unknown .
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

Returns
  None.

## ◆ setChar_box()

com.foxit.sdk.pdf.TextPageCharInfo.setChar_box | ( | RectF | value | ) |

Set the glyph bounding box in page space.

Parameters

  [in] | value | The glyph bounding box in page space.

Returns
  None.

## ◆ setChar_outbox()

com.foxit.sdk.pdf.TextPageCharInfo.setChar_outbox | ( | RectF | value | ) |

Set the typographic(display and printing) bounding box in page space.

Parameters

  [in] | value | The typographic(display and printing) bounding box in page space.

Returns
  None.

## ◆ setFlag()

com.foxit.sdk.pdf.TextPageCharInfo.setFlag | ( | int | value | ) |

Set flags to indicate which properties of textpage character flag are meaningful.

Please refer to values starting from com.foxit.sdk.pdf.TextPageCharInfo.e_Normal and this should be one of these values.

Parameters

  [in] | value | Flags to indicate which properties of textpage character flag are meaningful.

Returns
  None.

## ◆ setFont()

com.foxit.sdk.pdf.TextPageCharInfo.setFont | ( | Font | value | ) |

Set a font for character.

Parameters

  [in] | value | A font for character.

Returns
  None.

## ◆ setFont_size()

com.foxit.sdk.pdf.TextPageCharInfo.setFont_size | ( | float | value | ) |

Set font size for character.

This value would a positive value.

Parameters

  [in] | value | Font size for character.

Returns
  None.

## ◆ setMatrix()

com.foxit.sdk.pdf.TextPageCharInfo.setMatrix | ( | Matrix2D | value | ) |

Set the matrix of the character.

Parameters

  [in] | value | The matrix of the character.

Returns
  None.

## ◆ setOrigin_x()

com.foxit.sdk.pdf.TextPageCharInfo.setOrigin_x | ( | float | value | ) |

Set the x-coordinate of the origin position.

Parameters

  [in] | value | The x-coordinate of the origin position.

Returns
  None.

## ◆ setOrigin_y()

com.foxit.sdk.pdf.TextPageCharInfo.setOrigin_y | ( | float | value | ) |

Set the y-coordinate of the origin position.

Parameters

  [in] | value | The y-coordinate of the origin position.

Returns
  None.